'use strict';

var helpers = require('./helpers-HuaiWXrB.js');

class BalFloatingUiInternal {
    constructor() {
        this.load = async () => {
            return new Promise((resolve, reject) => {
                if (this.lib) {
                    return resolve(this.lib);
                }
                else {
                    helpers.rOnLoad(async () => {
                        Promise.resolve().then(function () { return require(/* @vite-ignore */ './floating-ui.dom-DCg2YBDr.js'); })
                            .then(module => {
                            this.lib = module;
                            resolve(this.lib);
                        })
                            .catch(reject);
                    });
                }
            });
        };
    }
}
const balFloatingUi = new BalFloatingUiInternal();

exports.balFloatingUi = balFloatingUi;
